Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.visitors
Class PluginAttributeVisitor

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.visitors.AbstractPluginVisitor<PluginAttribute>
          org.apache.logging.log4j.core.config.plugins.visitors.PluginAttributeVisitor

All Implemented Interfaces:
  PluginVisitor<PluginAttribute>

    public class PluginAttributeVisitor

extends AbstractPluginVisitor<PluginAttribute>

PluginVisitor implementation for `PluginAttribute`.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.config.plugins.visitors.AbstractPluginVisitor
`aliases, annotation, clazz, conversionType, LOGGER, member, substitutor`

Constructor Summary
`PluginAttributeVisitor()`

Method Summary
`Object` | `visit(Configuration configuration, Node node, LogEvent event, StringBuilder log)` Visits a Node to obtain a value for constructing a Plugin object.

Methods inherited from class org.apache.logging.log4j.core.config.plugins.visitors.AbstractPluginVisitor
`convert, removeAttributeValue, setAliases, setAnnotation, setConversionType, setMember, setStrSubstitutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginAttributeVisitor

    public PluginAttributeVisitor()

Method Detail

### visit

    public Object visit(Configuration configuration,
                        Node node,
                        LogEvent event,
                        StringBuilder log)

  Description copied from interface: `PluginVisitor`
  Visits a Node to obtain a value for constructing a Plugin object.

  Parameters:
    `configuration` - the current Configuration.
    `node` - the current Node corresponding to the Plugin object being created.
    `event` - the current LogEvent that caused this Plugin object to be made (optional).
    `log` - the StringBuilder being used to build a debug message.
  Returns:
    the converted value to be used for Plugin creation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.